Bug 547906 (CVE-2009-4141) - CVE-2009-4141 kernel: create_elf_tables can leave urandom in a bad state
Summary: CVE-2009-4141 kernel: create_elf_tables can leave urandom in a bad state
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4141
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20091216,public=20091216,sou...
Depends On: 548656 548657 548658 549246 557320
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 23:48 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:53 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 22:08:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0046 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-01-19 23:36:43 UTC
Red Hat Product Errata RHSA-2010:0149 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 04:02:49 UTC
Red Hat Product Errata RHSA-2010:0161 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-03-23 15:42:25 UTC

Description Eugene Teo (Security Response) 2009-12-15 23:48:09 UTC
Reported by Tavis Ormandy of Google Security Team. The root cause was determined to be a use-after-free of locked async file descriptors, and it is believed to have been introduced here: http://git.kernel.org/linus/233e70f4228e78eb2f80dc6650f65d3ae3dbf17c

Acknowledgements:

Red Hat would like to thank Tavis Ormandy of Google Security Team for reporting this issue.

Comment 10 Eugene Teo (Security Response) 2010-01-14 07:51:26 UTC
Upstream commit:
http://git.kernel.org/linus/53281b6d3

Comment 11 Eugene Teo (Security Response) 2010-01-14 08:07:24 UTC
This only affected Red Hat Enterprise Linux 5.

Comment 13 errata-xmlrpc 2010-01-19 23:36:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0046 https://rhn.redhat.com/errata/RHSA-2010-0046.html

Comment 15 Aristeu Rozanski 2010-01-26 13:44:51 UTC
Patch present on the latest RHEL6 git tree.

Comment 16 Chuck Ebbert 2010-01-29 13:15:19 UTC
Fixed in 2.6.31.12 and 2.6.32.4 by:

 fasync-split-fasync_helper-into-separate-add-remove-functions.patch

Comment 17 Fedora Update System 2010-02-03 17:13:36 UTC
kernel-2.6.30.10-105.2.13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.13.fc11

Comment 18 Fedora Update System 2010-02-05 01:48:29 UTC
kernel-2.6.30.10-105.2.13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2010-03-17 04:02:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0149 https://rhn.redhat.com/errata/RHSA-2010-0149.html

Comment 20 errata-xmlrpc 2010-03-23 15:42:28 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0161 https://rhn.redhat.com/errata/RHSA-2010-0161.html


Note You need to log in before you can comment on or make changes to this bug.